package prodcons;

import java.awt.BorderLayout;
import java.awt.Color;
import java.util.Observable;
import java.util.Observer;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingConstants;
import javax.swing.SwingUtilities;

public class ProducentView extends JPanel implements Observer {

    private Producent producent;
    private JLabel label;

    public ProducentView(Producent producent) {
        this.producent = producent;
        producent.addObserver(this);
        label = new JLabel("PRODUCENT");
        label.setOpaque(true);
        label.setHorizontalTextPosition(SwingConstants.CENTER);
        setLayout(new BorderLayout());
        add(label);
    }

    @Override
    public void update(Observable o, Object arg) {
        SwingUtilities.invokeLater(new Runnable() {

            public void run() {
                Producent.State state = producent.getState();
                if (state == Producent.State.PRODUCTING) {
                    label.setText("Produkuji hodnotu " + state.getValue() + ".");
                    label.setBackground(Color.GREEN);
                } else {
                    label.setText("Zapisuji hodnotu.");
                    label.setBackground(Color.YELLOW);
                }
            }
        });
    }
}